require "scripts/style"

MakeDialog
{
	Bitmap
	{
		name = "spriteanimation",
		image = "backgrounds/bg_black",
		w = 1024,
		h = 768,
		x = 0, 
		y = 0,
		SpriteAnim
		{
			x = 0;
			y = 0,
			w = 1024,
			h = 768,
		},
		Button
		{
			x=1024-210,
			y=768-60,
			font = StandardButtonFont,
			graphics={"IRMainmenu/change_player","IRMainmenu/change_player_pressed","IRMainmenu/change_player_pressed"},
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					saveRoom();					
					SwapToModal("scripts/mainmenu.lua");	
					SetCurrentGameMode(1);					
					SetState( kPause, false );
				end
		},
	}
}